Model Monitoring settings
Create or Update the existing model alert config.
POST
/
model-monitor
/
v2
/
api
/
notification
/
model-config
/
{model_id}
Create or Update the existing model alert config.
curl --request POST \
--url https://mycluster.domino.tech/model-monitor/v2/api/notification/model-config/{model_id} \
--header 'Content-Type: application/json' \
--header 'X-Domino-Api-Key: <api-key>' \
--data '
{
"recipients": "<string>",
"useGlobalRecipients": true
}
'import requests
url = "https://mycluster.domino.tech/model-monitor/v2/api/notification/model-config/{model_id}"
payload = {
"recipients": "<string>",
"useGlobalRecipients": True
}
headers = {
"X-Domino-Api-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-Domino-Api-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({recipients: '<string>', useGlobalRecipients: true})
};
fetch('https://mycluster.domino.tech/model-monitor/v2/api/notification/model-config/{model_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"createdAt": 123,
"updatedAt": 123,
"modelId": "<string>",
"recipients": "<string>",
"useGlobalRecipients": true
}Authorizations
dmm-plier_DominoApiKeyAuthdmm-plier_DmmApiKeyAuthdmm-plier_cookieAuthdmm-plier_BearerAuth
Path Parameters
Body
application/json
Response
Model Alert Config was updated successfully.
Alert config for the model.
Model's Alert Config identifier.
Creation timestamp of the Alert Config for the model.
Last update timestamp for the Model's alert config.
Unique identifier of the model.
recipients for the model's alert.
whether or not use the globally configured alert recipients.
Last modified on September 18, 2026
Was this page helpful?
⌘I
Create or Update the existing model alert config.
